# Form implementation generated from reading ui file 'src/eric7/EricNetwork/EricIPv4InputWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricIPv4InputWidget(object):
    def setupUi(self, EricIPv4InputWidget):
        EricIPv4InputWidget.setObjectName("EricIPv4InputWidget")
        EricIPv4InputWidget.resize(283, 26)
        self.horizontalLayout = QtWidgets.QHBoxLayout(EricIPv4InputWidget)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.ip1Edit = QtWidgets.QLineEdit(parent=EricIPv4InputWidget)
        self.ip1Edit.setMaximumSize(QtCore.QSize(50, 16777215))
        self.ip1Edit.setMaxLength(3)
        self.ip1Edit.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.ip1Edit.setObjectName("ip1Edit")
        self.horizontalLayout.addWidget(self.ip1Edit)
        self.label = QtWidgets.QLabel(parent=EricIPv4InputWidget)
        self.label.setText(" . ")
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.ip2Edit = QtWidgets.QLineEdit(parent=EricIPv4InputWidget)
        self.ip2Edit.setMaximumSize(QtCore.QSize(50, 16777215))
        self.ip2Edit.setMaxLength(3)
        self.ip2Edit.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.ip2Edit.setObjectName("ip2Edit")
        self.horizontalLayout.addWidget(self.ip2Edit)
        self.label_2 = QtWidgets.QLabel(parent=EricIPv4InputWidget)
        self.label_2.setText(" . ")
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.ip3Edit = QtWidgets.QLineEdit(parent=EricIPv4InputWidget)
        self.ip3Edit.setMaximumSize(QtCore.QSize(50, 16777215))
        self.ip3Edit.setMaxLength(3)
        self.ip3Edit.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.ip3Edit.setObjectName("ip3Edit")
        self.horizontalLayout.addWidget(self.ip3Edit)
        self.label_3 = QtWidgets.QLabel(parent=EricIPv4InputWidget)
        self.label_3.setText(" . ")
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.ip4Edit = QtWidgets.QLineEdit(parent=EricIPv4InputWidget)
        self.ip4Edit.setMaximumSize(QtCore.QSize(50, 16777215))
        self.ip4Edit.setMaxLength(3)
        self.ip4Edit.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.ip4Edit.setObjectName("ip4Edit")
        self.horizontalLayout.addWidget(self.ip4Edit)
        self.clearButton = QtWidgets.QToolButton(parent=EricIPv4InputWidget)
        self.clearButton.setObjectName("clearButton")
        self.horizontalLayout.addWidget(self.clearButton)

        self.retranslateUi(EricIPv4InputWidget)
        QtCore.QMetaObject.connectSlotsByName(EricIPv4InputWidget)

    def retranslateUi(self, EricIPv4InputWidget):
        _translate = QtCore.QCoreApplication.translate
        self.clearButton.setToolTip(_translate("EricIPv4InputWidget", "Press to clear the entered IPv4 address"))
